/* @path style.css */


/* Apply to the whole page */
html::-webkit-scrollbar {
  width: 20px;               /* Width of the vertical scrollbar */
  height: 20px;              /* Height of the horizontal scrollbar */
}

/* The background of the scrollbar (The Track) */
html::-webkit-scrollbar-track {
  background: #f1f1f1;       
  border-radius: 10px;
}

/* The draggable part (The Thumb) */
html::-webkit-scrollbar-thumb {
  background: #22BDBE;       /* Your teal color */
  border-radius: 20px;       /* Pill shape */
  border: 2px solid #f1f1f1; /* Creates a "padding" effect around the thumb */
}


* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Kaushan Script", cursive;
}
ul {
  list-style-type: none;
}
a {
  text-decoration: none;
  color: black;
  transition: color 0.5s;
}



header {
  background-color: #32353e;
  display: flex;
  padding: 10px 20px;
  justify-content: end;
  color: white;
  align-items: center;
}
header .social-icons {
  margin-right: 30px;
  display: flex;
}
header .social-icons a {
  width: 25px;
  height: 25px;
  background: #15c0c7;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 5px;
  transition: background-color 0.5s;
  color: white;
}
header .social-icons a:hover {
  background-color: white;
}
header .social-icons i {
  font-size: 14px;
  transition: color 0.5s;
}
header .social-icons a:hover i {
  color: #32353e;
}

header form {
  background-color: #4a4e55;
  padding: 5px 10px;
}
header form input {
  background: transparent;
  outline: none;
  border: 0;
  color: white;
}
header form input::placeholder {
  color: white;
}
header form button {
  border: 0;
  color: white;
}
header form {
  background-color: #4a4e55;
  padding: 5px 10px;
}
header form input {
  background: transparent;
  outline: none;
  border: 0;
  color: white;
}
header form input::placeholder {
  color: white;
}
header form button {
  background: transparent;
  border: 0;
  color: white;
}
@media screen and (max-width: 767px) {
  header .social-icons {
    display: none;
  }
  header form {
    width: 100%;
    display: flex;
  }
  header form input {
    flex-grow: 1;
  }
}

.container{
  position: relative;
    padding-left: 60px;
    padding-right: 60px;
    
    
}
nav {
  padding: 10px 0;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 6px -1px,
    rgba(0, 0, 0, 0.06) 0px 2px 4px -1px;
  position: sticky;
  top: 0;
  background-color: white;
  z-index: 999999;
}
.nav-content {
  display: flex;
  justify-content: space-between;
  align-items: center !important;
  
}

nav .logo img {
  width: 180px;
}
nav .nav-links {
  display: flex;
  list-style-type: none;
}

nav .nav-links li a {
  color: black;
  padding: 8px;
}
nav .nav-links li a:hover {
  color: #15c0c7;
}
nav .nav-links li a.nav-active {
  color: #15c0c7;
}
nav .personal-info span {
  display: block;
  font-size: 15px;
    /* margin-right: 20px; */
  
}
nav .personal-info span a{
color: #15c0c7;
}
nav .personal-info span a:hover {
  color: #343535;
}

nav i.fa-bars {
  display: none;
  font-size: 22px;
  cursor: pointer;
}
@media screen and (max-width: 991px) {
  nav .nav-links,nav .personal-info {
    display: none;
  }
  nav i.fa-bars {
    display: block;
  }
}
/* //////////////////////////////////////////////////////////////////////// */
.home{
  height: 100vh;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}
.slider {
  position: relative;
  height: 100vh;
  width: 100%;
}
.home-sliders,
.home-sliders .slider {
  height: 100vh;
  width: 100%;
}



.home-sliders img {
  width: 100%;
  height: 100vh;
  object-fit: cover;
}

.overlay{
 position: absolute;
  background-color: #0000007f;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
   z-index: 1;
}
.home .owl-carousel .owl-nav button.owl-prev , .home .owl-carousel .owl-nav button.owl-next {
  color: #fff !important;
  font-size: 44px;
  font-weight: lighter !important;
  pointer-events: all;
   width: 150px;
   height: 150px;

}
/* .owl-nav {
  position: absolute;
  top: 50%;
  width: 100%;
  display: flex;
  justify-content: space-between;
  transform: translateY(-50%);
  pointer-events: none;
} */
/* 
.owl-nav button {
  pointer-events: all;
  width: 40px !important;
  height: 40px !important;

 
} */

/* .owl-nav button span,
.owl-nav button i {
  color: #fff !important;
  font-size: 24px;
} */

 /* .owl-nav [class*=owl-]:hover{
  background:none !important;

} */
/* .home-sliders .owl-nav button span {
  font-size: 40px !important;
   width: 70px !important;
  height: 70px !important;
  color: #fff !important;
  line-height: 1;
} */

.landing-content{
  z-index: 2; 
   position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  color: #fff;
  width: 70%;
 
 
}
.landing-content h1{
    
    font-weight: 800;
    font-size: 35PX;
    padding-bottom: 30px;
}
.landing-content p{
   
    line-height: 1.7;
    font-size: 20px;
    margin-bottom: 20px;
}
.landing-content a{
  text-transform: uppercase;
    color: white;
    background: #15c0c7;
   padding: 8px 18px;
    border-radius: 30px;
    /* margin: 23px auto; */
}
.landing-content a:hover {
  background: rgb(51, 51, 51);
}
@media screen and (max-width: 575px) {
  .landing-content {
    width: 100%;
  }
  
}
@media screen and (max-width: 991px) {
    .landing-content h1 {
  margin-bottom: 25px;
}
  .landing-content p {
    display: none;
  }
}

/* /////////////////////////////////////////////////////////////////////// */
.business{
 text-align: center;
 font-style: italic;
 background-color: #ffffff;
/* margin-top: 70px; */

}
.text{
    display: flex;
    flex-direction: column;
    align-items: center;
    color: rgb(44, 44, 44);
    margin-bottom: 50px;
    
}
.text h2{
    font-size: 25px;
    font-weight: lighter;
    margin-top: 60px;
    /* margin-bottom: -10px; */
    font-family:Merienda, cursive;
    
}

.animation ,.animation-news{
     display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    top:10px
}
.reg ,.reg-new{
    position: absolute;
    bottom: 40px;
    width: 15px;
    height: 15px; 
    transform: translateX(-50%) rotate(45deg);
    z-index: 2;
    background: #15c0c7;
    border: 1px solid #ffffff;
}
.lin ,.lin-new{
    position: absolute;
    left: 49%;
    top: -50px;
    transform: translateX(-50%);
    width: 150px;
    height: 2px;
    background: #15c0c7;
    animation: animate 2s linear infinite;
}


.cards{
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-top: 30px;
     gap:40px;
}
.card{
    width: 18%;
    display: flex;
    flex-direction: column; 
    align-items: center;
   
}
.circle{
    width: 80px;
    height:80px;
    border-radius: 50%;
    background-color:rgb(2, 190, 190);
    display: flex;
    justify-content: center;
    align-items: center;
}
.circle-icons{
     font-size: 50px;
    color:#ffffff;
    font-weight: 900;
    font-family: "Great Vibes", cursive ;
    
}
.card p{
    margin-top: 15px;
    font-size: 18px;
    color:#aaa7a7;
    font-family: "Great Vibes", cursive ;
    margin-bottom: 70px;
}

.card h4{
    margin-top: 15px;
    margin-bottom: 15px;
    font-size: 25px;
    font-weight: lighter;
    color:rgb(68, 66, 66);
    position: relative;
}

.card h4::after{
    content: "";
    position: absolute;
    bottom: -20px;
    left: 50%;
    -webkit-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    transform: translateX(-50%);
    width: 215px;
    height: 1px;
    background: #cdced0;
}
.business a ,.Contact a {
    /* visibility: visible; */
    color: white;
    background: #15c0c7;
    padding: 8px 18px;
    border-radius: 30px;
  text-transform: uppercase;
    
}
.business a:hover ,.Contact a:hover{
     color: rgb(255, 255, 255);
    background: #262626;
    transition: .5s;
}
@keyframes animate {
    0%, 100% {
    width: 150px;
}
50%{
    width: 0px;
}
}
@media screen and (max-width: 767px) {
  .cards {
    flex-direction: column;
    align-items: center;
    gap: 20px;

  }

  .card {
    width: 100%;
  }
   .card p{
    font-size: 20px;
    width:50% ;
  }
}
@media screen and (min-width: 768px) and (max-width: 991px) {
  .cards {
    display: flex;
    flex-direction: row;
    justify-content: center;
    flex-wrap: wrap;   
    gap: 30px;
  }
 

  .card {
    width: 48%;
  }
}

.cases{
     height: 100vh;
  background-image: url(./imgs/case.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  margin-top:60px;

}
.overlay-case{
    position: absolute;
  background-color: #0000007c;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}
.content , .performance-content ,.news-content{
  color: white;
  text-align: center;
  margin: auto;
  position: relative;
 
}
.content{
  width: 60%;

}
.content h1{
    bottom:60px;
    font-weight: 800;
    font-size: 35PX;
    padding-bottom: 30px;
}
.animation-case{
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    top:30px
}
.reg-case{
     position: absolute;
    bottom: 40px;
    width: 15px;
    height: 15px; 
    transform: translateX(-50%) rotate(45deg);
    z-index: 2;
    background: #15c0c7;
    border: 1px solid #ffffff;
}
.lin-case{
      position: absolute;
    left: 49%;
    top: -50px;
    transform: translateX(-50%);
    width: 150px;
    height: 2px;
    background: #15c0c7;
    animation: animate 2s linear infinite;
}
.content p{
   
    line-height: 1.7;
    font-size: 19px;
    margin-bottom: 40px;
}
.content h3{
    line-height: 1.7;
    font-size: 25px;
    margin-bottom: 20px;
    font-weight: lighter;

}
.content a , .news-content a{
 background: 0 0;
    border: 2px solid #fff; 
    color: white;
    padding: 8px 18px;
    border-radius: 30px;
    align-items: center;
    margin-bottom: 30px;
    text-transform: uppercase;
    /* margin: 23px auto; */
}
.content a:hover ,.news-content a:hover{
  background: rgb(248, 248, 248);
  color:#32353e;
  
}
@media screen and (max-width: 575px) {
  .content {
    width: 100%;
  }
  
}
@media screen and (max-width: 991px) {
    .content h1 {
  margin-bottom: 25px;
}
 .content {
    width: 100%;
  }
}

.cards-tips{
     display: flex;
    flex-direction: row;
    justify-content: center;
    margin-top: 30px;
     gap:40px;
     margin-bottom: 80px;
     
}
.card-business{
     width: 27%;
     height: 530px;
    display: flex;
    flex-direction: column; 
    box-shadow: 0 15px 25px rgba(0, 0, 0, .2);
    overflow: hidden;
    object-fit: cover; 
}

.img-card{
    overflow: hidden;
}

.card-business img{
    width: 100%;
    height: 100%;
     transition:  0.5s ease;

}
.card-business img:hover{
transform: scale(1.1);

}
.time{
    display: flex;
    flex-direction: row;
    gap: 20px;
    /* text-align: left; */
    padding: 10px;
 
}
.time h3{
color:rgb(2, 190, 190);
font-weight: 800;
font-style: italic;

}
.time span{
font-size: 20px;
font-weight: 500;
font-style: italic;


}
.time span:hover{
    color: #15c0c7;
    cursor: pointer;
}
.card-business h4{
  font-size: 20px;
    font-weight: 600;
    color: #32353e;
    line-height: 1.4;
    padding: 10px;
    text-align: left;
    
}
.card-business p{
    
   text-align: left;
  font-size: 17px;
  padding: 10px;
  line-height: 1.4;
    color: #777;
    
}

.performance{
   
    background:url(./imgs/case21.jpg) no-repeat fixed;
    margin-top: 70px;
    height: 90vh;
  background-size: cover;
  position: relative;
}
.overlay-performance{
  position: absolute;
  background-color: #0000007c;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.cards-performance{
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-top: 10px;
    gap: 25px;
}
.card-performance{
     width: 250px;
    height: 400px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.circle-performance {
    width: 200px;
    height: 200px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    border-width: 1.5px;
    border:2px solid white;
    
    border-image: initial;
}
.circle-text {
    font-size: 40px;
    color: rgb(255, 255, 255);
    font-weight: 900;
    font-family: "Great Vibes", cursive;
}
.card-performance p {
    font-size: 25px;
    color: rgb(255, 255, 255);
    font-weight: 900;
    font-family: "Great Vibes", cursive;
    margin-top: 20px;
}

.Testimonials{

  height: 80vh;
   overflow-x: hidden;
  /* position: relative; */
}
.Testimonials-content{

  position: relative;
  width: 45%;
}
.Testimonials-content{
  width: 90% !important;
  margin: auto;
}
.owl-item {
  display: flex;
  justify-content: center;
}

.testimonial{
  display: flex;
  flex-direction:row;
  gap: 30px;
  padding: 0 10px;
  align-items:center;

}
.test-img img{
  border-radius:50%;
  
}
.test-info {
  margin-left: 15px;
  width: 350px;
}
.test-info p {
  font-size: 16px;
  margin-bottom: 5px;
  color: #777777;
}
.test-info h4 {
  color: #32353e;
}
.owl-theme .owl-nav [class*=owl-]:hover{
  background:none !important;
}
.owl-nav{
    position: absolute;
    /* left: 38px; */
    width: 100%;
    margin: auto;
    display: flex;
    justify-content: space-between;
    top: 50%;
    transform: translateY(-50%);

}
.test-controls.fa-angle-left{
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
   padding: 0 30px;
  width: 100%;
    display: flex;
    justify-content: space-between;
}
.test-controls div {
  background-color: #f0f0f0;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
      cursor: pointer;
  
}
.test-controls div i {
  color: #15c0c7 !important;
}


.News{
     height: 70vh;
  background-image: url(./imgs/revenue.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  

}
.overlay-news{
  position: absolute;
  background-color: #00000079;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
  
}
.news-content h3 ,h1{
  text-transform: capitalize;
  margin-bottom: 20px;
}
.news-content h3{
  font-size: 30px;
  line-height: 1.7px;
  font-weight: lighter;
 margin-bottom: 50px;
}
.news-content h1{
  font-size: 35px;
  line-height: 1.7px;
  font-weight: 900;

}

.animation-news{
  margin-top: 80px;
}


.Contact{
  height: 110vh;

}



#form{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
#form label{
  font-weight: 700;
    font-size: 20px;
    color: #32353e;
    text-transform: capitalize;
    margin-bottom: 10px;
}
.main-transition {
    width: 700px;
    margin-bottom: 30px;
    padding: 22px 20px;
    border: none;
    outline: 0;
    background: #dfdede6f;
    max-width: 100%;
}
select:hover{
  background-color:#dadada;
  transition: .3s;
  cursor: pointer;
}
option{
 padding-top: 0px;
}
.contactus-content{
  align-items: center;
  display: flex;
  flex-direction: column;

}

.footer{
  height: 30vh;
  background-color:#32353e;
  
}
.container-footer{
 padding-top: 60px;
  display: flex;
  align-items: center;
  flex-direction: column;

}
.container-footer a:hover{
  color: #15c0c7;
}
.container-footer p ,a{
  margin-top: 10px;
  color:white;
  line-height: 1.5;
  
}

/* 1. تفعيل الحركة الناعمة عند الانتقال لأي مكان في الصفحة */
body {
  scroll-behavior: smooth;
  
}

/* 2. تنسيق الزر وتثبيته في مكان محدد */
.back-to-top {
  position: fixed;     /* ثابت في مكانه أثناء السكرول */
  bottom: 30px;        /* المسافة من الأسفل */
  right: 30px;         /* المسافة من اليمين */
  width: 50px;
  height: 50px;
  background-color: #22BDBE; /* لون التيل من صورتك */
  border-radius: 50%;  /* دائري */
  display: flex;       /* لتوسيط السهم بالداخل */
  align-items: center;
  justify-content: center;
  text-decoration: none; /* إزالة خط الرابط */
  box-shadow: 0 4px 8px rgba(0,0,0,0.2);
  z-index: 1000;
  transition: transform 5ms  ease;
}

/* تأثير  مرور الماوس */
.back-to-top:hover {
  background-color: #1a1a1a;
}

/* 3. رسم السهم الأبيض باستخدام CSS */
.arrow-up {
  border: solid white;
  border-width: 0 4px 4px 0;
  display: inline-block;
  padding: 5px;
  transform: rotate(-135deg); /* تدويره ليصبح سهم للأعلى */
  margin-top: 5px; /* موازنة مكانه داخل الدائرة */
}